Package org.flowable.engine.interceptor

# Class StartProcessInstanceBeforeContext

java.lang.Object
org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext
org.flowable.engine.interceptor.StartProcessInstanceBeforeContext

public class StartProcessInstanceBeforeContext extends AbstractStartProcessInstanceBeforeContext

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `assigneeId`
  `protected String`
  `callbackId`
  `protected String`
  `callbackType`
  `protected String`
  `initiatorVariableName`
  `protected String`
  `overrideDefinitionTenantId`
  `protected String`
  `ownerId`
  `protected String`
  `predefinedProcessInstanceId`
  `protected String`
  `referenceId`
  `protected String`
  `referenceType`
  `protected String`
  `tenantId`

  ### Fields inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext

  `businessKey, businessStatus, initialActivityId, initialFlowElement, process, processDefinition, processInstanceName, transientVariables, variables`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `StartProcessInstanceBeforeContext()`
  `StartProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, String callbackId, String callbackType, String referenceId, String referenceType, Map<String,Object> variables, Map<String,Object> transientVariables, String tenantId, String ownerId, String assigneeId, String initiatorVariableName, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition, String overrideDefinitionTenantId, String predefinedProcessInstanceId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAssigneeId()`
  `String`
  `getCallbackId()`
  `String`
  `getCallbackType()`
  `String`
  `getInitiatorVariableName()`
  `String`
  `getOverrideDefinitionTenantId()`
  `String`
  `getOwnerId()`
  `String`
  `getPredefinedProcessInstanceId()`
  `String`
  `getReferenceId()`
  `String`
  `getReferenceType()`
  `String`
  `getTenantId()`
  `void`
  `setAssigneeId(String assigneeId)`
  `void`
  `setCallbackId(String callbackId)`
  `void`
  `setCallbackType(String callbackType)`
  `void`
  `setInitiatorVariableName(String initiatorVariableName)`
  `void`
  `setOverrideDefinitionTenantId(String overrideDefinitionTenantId)`
  `void`
  `setOwnerId(String ownerId)`
  `void`
  `setPredefinedProcessInstanceId(String predefinedProcessInstanceId)`
  `void`
  `setReferenceId(String referenceId)`
  `void`
  `setReferenceType(String referenceType)`
  `void`
  `setTenantId(String tenantId)`

  ### Methods inherited from class org.flowable.engine.interceptor.AbstractStartProcessInstanceBeforeContext

  `getBusinessKey, getBusinessStatus, getInitialActivityId, getInitialFlowElement, getProcess, getProcessDefinition, getProcessInstanceName, getTransientVariables, getVariables, setBusinessKey, setInitialActivityId, setInitialFlowElement, setProcess, setProcessDefinition, setProcessInstanceName, setTransientVariables, setVariables`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### callbackId

    protected String callbackId

  - ### callbackType

    protected String callbackType

  - ### referenceId

    protected String referenceId

  - ### referenceType

    protected String referenceType

  - ### tenantId

    protected String tenantId

  - ### ownerId

    protected String ownerId

  - ### assigneeId

    protected String assigneeId

  - ### initiatorVariableName

    protected String initiatorVariableName

  - ### overrideDefinitionTenantId

    protected String overrideDefinitionTenantId

  - ### predefinedProcessInstanceId

    protected String predefinedProcessInstanceId

- ## Constructor Details

  - ### StartProcessInstanceBeforeContext

    public StartProcessInstanceBeforeContext()

  - ### StartProcessInstanceBeforeContext

    public StartProcessInstanceBeforeContext(String businessKey, String businessStatus, String processInstanceName, String callbackId, String callbackType, String referenceId, String referenceType, Map<String,Object> variables, Map<String,Object> transientVariables, String tenantId, String ownerId, String assigneeId, String initiatorVariableName, String initialActivityId, FlowElement initialFlowElement, Process process, ProcessDefinition processDefinition, String overrideDefinitionTenantId, String predefinedProcessInstanceId)

- ## Method Details

  - ### getCallbackId

    public String getCallbackId()

  - ### setCallbackId

    public void setCallbackId(String callbackId)

  - ### getCallbackType

    public String getCallbackType()

  - ### setCallbackType

    public void setCallbackType(String callbackType)

  - ### getReferenceId

    public String getReferenceId()

  - ### setReferenceId

    public void setReferenceId(String referenceId)

  - ### getReferenceType

    public String getReferenceType()

  - ### setReferenceType

    public void setReferenceType(String referenceType)

  - ### getTenantId

    public String getTenantId()

  - ### setTenantId

    public void setTenantId(String tenantId)

  - ### getOwnerId

    public String getOwnerId()

  - ### setOwnerId

    public void setOwnerId(String ownerId)

  - ### getAssigneeId

    public String getAssigneeId()

  - ### setAssigneeId

    public void setAssigneeId(String assigneeId)

  - ### getInitiatorVariableName

    public String getInitiatorVariableName()

  - ### setInitiatorVariableName

    public void setInitiatorVariableName(String initiatorVariableName)

  - ### getOverrideDefinitionTenantId

    public String getOverrideDefinitionTenantId()

  - ### setOverrideDefinitionTenantId

    public void setOverrideDefinitionTenantId(String overrideDefinitionTenantId)

  - ### getPredefinedProcessInstanceId

    public String getPredefinedProcessInstanceId()

  - ### setPredefinedProcessInstanceId

    public void setPredefinedProcessInstanceId(String predefinedProcessInstanceId)